﻿@import url('https://fonts.googleapis.com/css2?family=Alexandria:wght@100..900&family=Almarai:wght@300;400;700;800&family=Cairo:wght@200..1000&family=El+Messiri:wght@400..700&family=IBM+Plex+Sans+Arabic:wght@100;200;300;400;500;600;700&family=Inter:wght@100..900&display=swap');

* {
    font-family: "El Messiri", sans-serif;
}

body {
    background-color: var(--primary);
}

a {
    background-color: transparent;
    color: inherit;
    text-decoration: none;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

a:hover {
    color: var(--primary);
}

.card {
    border-radius: 5%;
}

.coloring-bg {
    background-image: linear-gradient(color-mix(in srgb, var(--primary) 16%, transparent), color-mix(in srgb, var(--primary) 16%, transparent));
    position: absolute;
    top: 0;
    left: 0;
    width: 40%;
    height: 100%;
}

.vertical-align {
    min-height: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
}

/*
    Buttons >>>
*/

.btn-defult {
    display: inline-block;
    padding: 10px;
    border: 1px solid var(--primary);
    border-radius: 4px;
    transition: all 0.2s ease-in;
    position: relative;
    overflow: hidden;
    cursor: pointer;
    color: var(--primary);
    background-color: #fff;
    z-index: 1;
}

.btn-defult:before {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%) scaleY(1) scaleX(1.25);
    top: 100%;
    width: 140%;
    height: 180%;
    background-color: rgba(0, 0, 0, 0.05);
    border-radius: 50%;
    display: block;
    transition: all 0.7s 0.1s cubic-bezier(0.55, 0, 0.1, 1);
    z-index: -1;
}

.btn-defult:after {
    content: "";
    position: absolute;
    left: 55%;
    transform: translateX(-50%) scaleY(1) scaleX(1.45);
    top: 180%;
    width: 160%;
    height: 190%;
    background-color: var(--primary);
    border-radius: 50%;
    display: block;
    transition: all 0.7s 0.1s cubic-bezier(0.55, 0, 0.1, 1);
    z-index: -1;
}

.btn-defult:hover {
    color: #ffffff;
    border: 1px solid var(--primary);
}

.btn-defult:hover:before {
    top: -35%;
    background-color: var(--primary);
    transform: translateX(-50%) scaleY(1.3) scaleX(0.8);
}

.btn-defult:hover:after {
    top: -45%;
    background-color: var(--primary);
    transform: translateX(-50%) scaleY(1.3) scaleX(0.8);
}

/*.btn-defult {
    position: relative;
    display: inline-block;
    padding: 5px;
    text-align: center;
    text-decoration: none;
    color: #725AC1;
    background: transparent;
    cursor: pointer;
    transition: ease-out 0.5s;
    border: 2px solid #725AC1;
    border-radius: 5px;
    box-shadow: inset 0 0 0 0 #725AC1;
}

.btn-defult:hover {
    color: white;
    box-shadow: inset 0 -100px 0 0 #725AC1;
}

.btn-defult:active {
    transform: scale(0.9);
}*/


label {
    text-align: right;
    width: 100%;
}

.floating-form {
    width: 100%;
}

.floating-label {
    position: relative;
    margin-bottom: 35px;
}

.floating-input, .floating-select {
    font-size: 20px;
    padding-top: 14px;
    padding-bottom: 6px;
    display: block;
    width: 100%;
    height: 40px;
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #757575;
}

.floating-input:focus, .floating-select:focus {
    outline: none;
    border-bottom: 2px solid var(--primary);
}

label {
    color: #999;
    font-size: 14px;
    font-weight: normal;
    position: absolute;
    pointer-events: none;
    left: 0px;
    top: 0px;
    transition: 0.2s ease all;
    -moz-transition: 0.2s ease all;
    -webkit-transition: 0.2s ease all;
}

.floating-input:focus ~ label, .floating-input:not(:placeholder-shown) ~ label {
    top: -18px;
    font-size: 14px;
    color: black;
}

.floating-select:focus ~ label, .floating-select:not([value=""]):valid ~ label {
    top: -18px;
    font-size: 14px;
    color: black;
}

.floating-input:focus ~ .bar:before, .floating-input:focus ~ .bar:after, .floating-select:focus ~ .bar:before, .floating-select:focus ~ .bar:after {
    width: 50%;
}

*, *:before, *:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.floating-textarea {
    min-height: 30px;
    max-height: 260px;
    overflow: hidden;
    overflow-x: hidden;
}

.highlight {
    position: absolute;
    height: 50%;
    width: 100%;
    top: 15%;
    left: 0;
    pointer-events: none;
    opacity: 0.5;
}

.floating-input:focus ~ .highlight, .floating-select:focus ~ .highlight {
    -webkit-animation: inputHighlighter 0.3s ease;
    -moz-animation: inputHighlighter 0.3s ease;
    animation: inputHighlighter 0.3s ease;
}

@@-webkit-keyframes inputHighlighter {
    from {
        background: var(--primary);
    }

    to {
        width: 0;
        background: transparent;
    }
}

@@-moz-keyframes inputHighlighter {
    from {
        background: var(--primary);
    }

    to {
        width: 0;
        background: transparent;
    }
}

@@keyframes inputHighlighter {
    from {
        background: var(--primary);
    }

    to {
        width: 0;
        background: transparent;
    }
}
